## termux_language_server-0.0.5.tar.gz

=== CMakeLists.txt ===
# https://github.com/tree-sitter/tree-sitter-bash/issues/227
cmake_minimum_required(VERSION 3.10)
include(FetchContent)
FetchContent_Declare(tree-sitter-bash GIT_REPOSITORY "https://github.com/tree-sitter/tree-sitter-bash")
FetchContent_MakeAvailable(tree-sitter-bash)
include_directories(${tree-sitter-bash_SOURCE_DIR}/src)
add_library(parser SHARED ${tree-sitter-bash_SOURCE_DIR}/src/parser.c ${tree-sitter-bash_SOURCE_DIR}/src/scanner.c)
if(NOT DEFINED SKBUILD_PLATLIB_DIR)
  set(SKBUILD_PLATLIB_DIR ${CMAKE_SOURCE_DIR}/src)
endif()
set(CMAKE_INSTALL_LIBDIR ${SKBUILD_PLATLIB_DIR}/termux_language_server/data/lib)
install(TARGETS parser RUNTIME)

=== requirements.txt ===
#!/usr/bin/env -S pip install -r

colorama
# https://python-jsonschema.readthedocs.io/en/stable/validate/#validating-formats
# hostname
fqdn
jinja2
jsonschema
# get nvim-tree-sitter's parser
platformdirs
pygls
# uri
rfc3987
tree-sitter

=== tests/PKGBUILD ===
# shellcheck shell=bash disable=SC2034,SC2154
# Maintainer: Wu Zhenyu <wuzhenyu@ustc.edu>
# Updated by https://github.com/Freed-Wu/pkgbuild-language-server/blob/main/.github/workflows/main.yml
pkgname=pkgbuild-language-server
pkgver=0.0.6
pkgrel=1
pkgdesc="Archlinux and Windows Msys2's PKGBUILD language server"
arch=(any)
url=https://github.com/Freed-Wu/pkgbuild-language-server
depends=(python-colorama python-jinja python-platformdirs python-pygls python-tree-sitter)
optdepends=(python-pypandoc python-markdown-it-py pacman pyalpm namcap)
makedepends=python-installer
license=(GPL3)
_py=py3
source=("https://files.pythonhosted.org/packages/$_py/${pkgname::1}/${pkgname//-/_}/${pkgname//-/_}-$pkgver-$_py-none-any.whl")
sha256sums=('db062b5028e93aa9304d2783cd73017320587ac64fc4d8c01f514ae1015a4bf0')

package() {
	python -m installer -d "$pkgdir" ./*.whl
}
